
	subroutine GetVersion( Version )

c--
c Get current Fpaint version number   - 9/21/88
c--

	character*6 Version

	Version = '4.10'

c--
c Version 4.09      7/6/88
c
c	Reorganized location of all source files and changed some
c	library routines.
c--

c--
c Version 4.10      9/21/88
c
c	Changed SMG error reporting routine in library; ( execution
c       no longer stops, error msg displayed in SMG window ).
c--

	end


	subroutine ChkVersion( Line, MinVersion, OldVersion )

c--
c Line is the line of the screen file that contains the version number.
c If the screen file version is less than MinVersion then
c OldVersion gets set to true, else it gets set to false.
c--

c--
c Parameters
	character*(*) Line
	real MinVersion
	logical*1 OldVersion

c--
c locals
	real Version

c--
c for parse
	integer*2 DimPntr, Pntr(2,7),
     1   WordLength(7), NumWords, ParseError

	character*1 Blank, Quote

	data DimPntr /7/, Blank /' '/, Quote /'"'/



	call Parse( Line, Blank, Quote, '[]',
     1   DimPntr, Pntr, WordLength, NumWords, ParseError )

	call GetReal( Line(Pntr(1,6):Pntr(2,6)), Version )

	if( Version .lt. MinVersion ) then
	  OldVersion = .true.
	else
	  OldVersion = .false.
	end if

	end

